For the complete documentation index, see llms.txt. This page is also available as Markdown.

Content

The content endpoints provide additional endpoints to the Umbraco Content Delivery API to help with fetching product related content.

Gets a multi-variants content

get

By default the variants property editor from Umbraco Commerce will only return attribute information with a product node to save on excessive payload sizes. The variants endpoint can be called to dynamically fetch an attibute combinations content only when it is requested.

Path parameters
idstring · uuidRequired

The ID of the content item that has an Umbraco Commerce variants property editor defined on it

Example: dbf88b95-f3d0-4cbe-9edc-55fecd14ba80
Query parameters
attributestring[]Required

The attribute combination of the variant to return

Example: ["key1:value1","key2:value2"]
expandstringOptional

Defines the properties that should be expanded in the response. Refer to the documentation for more details on this.

Example: {"value":""}
Header parameters
Accept-LanguagestringOptional

Defines the language to return. Use this when querying language variant content items.

Example: {"value":""}
Accept-SegmentstringOptional

Defines the segment to return. Use this when querying segment variant content items.

Example: {"value":""}
Api-KeystringOptional

API key specified through configuration to authorize access to the API.

PreviewbooleanOptional

Whether to request draft content.

Start-ItemstringOptional

URL segment or GUID of a root content item.

Responses
200

OK

application/json
get/umbraco/delivery/api/v1/content/item/{id}/variant
GET /umbraco/delivery/api/v1/content/item/{id}/variant?attribute=text HTTP/1.1
Accept: */*
{
  "content": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "contentType": "text",
    "properties": {
      "ANY_ADDITIONAL_PROPERTY": null
    },
    "name": "text",
    "createDate": "2026-01-01T00:00:00.000Z",
    "updateDate": "2026-01-01T00:00:00.000Z",
    "route": {
      "path": "text",
      "startItem": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "path": "text"
      }
    }
  },
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "isDefault": true
}

Last updated

Was this helpful?